Last modified: 2014-02-12 23:53:22 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 41629 - the message mobile-frontend-on (and -off) is recycled and causes incorrect translations
the message mobile-frontend-on (and -off) is recycled and causes incorrect tr...
Status: RESOLVED FIXED
Product: MobileFrontend
Classification: Unclassified
stable (Other open bugs)
unspecified
All All
: Unprioritized normal
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-11-01 11:59 UTC by Amir E. Aharoni
Modified: 2014-02-12 23:53 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2012-11-01 11:59:37 UTC
The message "mobile-frontend-on" was used only for images in the past. It was also combined with "mobile-frontend-toggle-images". That's what the documentation said, too (actually, I wrote it, but it was true at the time). It was translated to other languages in a way that fits images, but not necessarily other things.

Now it is used for turning other options on and off, and this is grammatically incorrect for some languages. I can think of two solutions:

1. Clarify in the documentation that this message is for all options, and mark all the existing translations as FUZZY to notify the translators that they should consider updating them.
2. Create an on/off message for every option.

Maybe there are also other possible solutions.

Also, "mobile-frontend-toggle-images" can probably be removed completely.
Comment 1 Jon 2012-11-01 19:59:01 UTC
Hi Amir
Are you satisfied with?
https://gerrit.wikimedia.org/r/31306
https://gerrit.wikimedia.org/r/31307
Comment 2 Andre Klapper 2012-11-12 15:27:12 UTC
Amir: ping - Could you answer comment 1 please?
Comment 3 Amir E. Aharoni 2012-11-13 08:59:34 UTC
Good enough.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links